{"bugs":{"url":"https://github.com/SorinGFS/idn-hostname/issues"},"dist":{"shasum":"f6171bb7c78cd96c8387d2dcbe5edf89b0eef6c0","tarball":"https://registry.npmjs.org/idn-hostname/-/idn-hostname-16.0.0.tgz","fileCount":6,"integrity":"sha512-n5VyuUWDCc0NSU9O9yHC4efiU2vvGCubukKWtsji4mXDR3ZboKn9pmZintldUzPoLDs86vK6k15tzmEOD7U02g==","signatures":[{"sig":"MEYCIQCRICZss1E5zq50xVU9bpZ/7Pk4LqFPN7Uxnfnqn7wz/wIhAI1lvTzYUSIw4LBrzucyKk5R8Kdx1d7EnG5g/HGkhZnh","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":210725},"main":"index.js","name":"idn-hostname","type":"commonjs","types":"./index.d.ts","author":{"name":"SorinGFS"},"gitHead":"9df8250cf43ca3fe76990cf06926ac5c6b615154","license":"MIT","scripts":{"test":"echo \"Error: no test specified\" && exit 1"},"_npmUser":{"name":"soringfs","email":"sorin.gfs@protonmail.com"},"homepage":"https://github.com/SorinGFS/idn-hostname#readme","keywords":["idn-hostname","idna","validation","unicode","mapping"],"repository":{"url":"git+https://github.com/SorinGFS/idn-hostname.git","type":"git"},"_npmVersion":"11.14.1","description":"An internationalized hostname validator as defined by RFC5890, RFC5891, RFC5892, RFC5893, RFC3492 and UTS#46","directories":{},"maintainers":[{"name":"soringfs","email":"sorin.gfs@protonmail.com"}],"_nodeVersion":"24.0.2","dependencies":{"punycode":"^2.3.1"},"_hasShrinkwrap":false,"devDependencies":{"@types/punycode":"^2.1.4"},"_npmOperationalInternal":{"tmp":"tmp/idn-hostname_16.0.0_1787917027561_0.8897270658191987","host":"s3://npm-registry-packages-npm-production"},"_id":"idn-hostname@16.0.0","version":"16.0.0"}